(function($) {
  $.fn.fontAdjust = function() {
    var xlarge = 1600, small = 768, lhchange = 2;
    var fonts = [
        {"fz-6":  [4, 6, 6, 9]},
        {"fz-9":  [6, 8, 9, 12]},
        {"fz-12": [8, 10, 12, 15]},
        {"fz-15": [10, 12, 15, 18]},
        {"fz-18": [12, 14, 18, 21]},
        {"fz-21": [14, 16, 21, 24]},
        {"fz-24": [16, 18, 24, 27]},
        {"fz-30": [20, 22, 30, 33]},
        {"fz-42": [28, 30, 42, 45]},
        {"fz-51": [34, 36, 51, 54]},
        {"fz-60": [40, 42, 60, 63]},
        {"fz-81": [54, 56, 81, 84]},
        {"fz-102": [68, 70, 102, 105]}
    ];
    function fontResize() {
          var ww = $(window).width();
          if ($(window).width() <= small) {
               fonts.forEach(function(currentValue, index, array){
                    var key = Object.keys(currentValue);
                    $('.'+key).css('fontSize',(currentValue[key][0])+'px');
                    $('.'+key).css('lineHeight',(currentValue[key][1]+lhchange)+'px');
               });
          }
          else if ($(window).width() > xlarge) {
               fonts.forEach(function(currentValue, index, array){
                    var key = Object.keys(currentValue);
                    $('.'+key).css('fontSize',(currentValue[key][2])+'px');
                    $('.'+key).css('lineHeight',(currentValue[key][3]+lhchange)+'px');
               });
          }
          else {
               fonts.forEach(function(currentValue, index, array){
                    var key = Object.keys(currentValue);
                    var gap_f = Number(currentValue[key][2])-Number(currentValue[key][0]);
                    var gap_l = Number(currentValue[key][3])-Number(currentValue[key][1]);
                    var range = ww-small;
                    var base_f = Number(currentValue[key][0]);
                    var base_l = Number(currentValue[key][1]);
                    $('.'+key).css('fontSize',(gap_f*((range)/832)+base_f)+'px');
                    $('.'+key).css('lineHeight',(gap_l*((range)/832)+base_l+lhchange)+'px');
               });
          }
    }
    fontResize();
    $(window).resize(function() {
      fontResize();
    });
  }
}(jQuery));