angular.module('ventmere.runner')
	.directive('e3360btSection1', function() {
		return {
			restrict: 'A',
			require: 'vtmFullpageSection',
			link: function($scope, $elem, $attrs, Ctrl) {
				var lock = false,

					text = $elem.find('.sprite-title'),
					bg = $elem.find('.sprite-bg');

				var tl = new TimelineLite({paused: true});
				tl.set(text, { top: '20%', opacity: 0, yPercent: 100 });
				tl.set(bg, { top: '30%', opacity: 0, yPercent:50 });

				tl.to(text, 1, {opacity: 1, yPercent: 0}, '+=0.7');
				tl.to(bg, 1.5, {yPercent: 0, opacity: 1}, '-=0.5');

				tl.addPause('enter_end', function() {
					
				});

				tl.to(bg, 2, {yPercent: -70});
				tl.to(text, .5, {opacity: 0}, '-=1.25');
				tl.to(bg, 0.5, {opacity: 0}, '-=0.5');

				tl.addPause('done', function() {
					Ctrl.moveDown();
				});

				function play() {
					tl.play();
				}

				$scope.$on('vtmFullpageSection:entering', function(e) {
					lock = true;
					tl.seek(0);
					tl.play();
				});

				$scope.$on('vtmFullpageSection:leaving', function(e) {
					lock = false;
				});

				$scope.$on('vtmFullpage:moveSectionDown', function(e) {
					if (lock) {
						play();
						e.preventDefault();
					}
				});
			}
		};
	})
	.directive('e3360btSection3', function() {
		return {
			restrict: 'A',
			require: 'vtmFullpageSection',
			link: function($scope, $elem, $attrs, Ctrl) {
				var lock = false,

					text = $elem.find('.sprite-title'),
					c_l = $elem.find('.c-l'),
					c_r = $elem.find('.c-r'),
					sprite_c = $elem.find('.sprite-c');

				var tl = new TimelineLite({paused: true});
				tl.set($elem, {opacity: 1});
				tl.set(text, { opacity: 0 });
				tl.set(c_l, {opacity:0, xPercent:-100});
				tl.set(c_r, {opacity:0, xPercent:100});
				tl.set(sprite_c, {opacity:0});

				tl.to(text, 1, {opacity: 1}, '+=0.7');
				tl.to(c_l, .7, {opacity:1, xPercent:0}, '-=0.5');
				tl.to(c_r, .7, {opacity:1, xPercent:0}, '-=0.7');

				tl.to(text, 1, {opacity: 0}, '+=1');
				tl.to(sprite_c, 1, {opacity: 1}, '-=0.3');

				tl.addPause('s1', function() {
				});

				tl.to($elem, .5, {opacity:0});

				tl.addPause('done', function() {
					Ctrl.moveDown();
				});

				function play() {
					tl.play();
				}

				$scope.$on('vtmFullpageSection:entering', function(e) {
					lock = true;
					tl.seek(0);
					tl.play();
				});

				$scope.$on('vtmFullpageSection:leaving', function(e) {
					lock = false;
				});

				$scope.$on('vtmFullpage:moveSectionDown', function(e) {
					if (lock) {
						play();
						e.preventDefault();
					}
				});
			}
		};
	})
	.directive('e3360btSection4', function() {
		return {
			restrict: 'A',
			require: 'vtmFullpageSection',
			link: function($scope, $elem, $attrs, Ctrl) {
				var lock = false,

					speaker = $elem.find('.speaker'),
					phone = $elem.find('.phone'),
					text_l = $elem.find('.text-left'),
					text_r = $elem.find('.text-right');

				var tl = new TimelineLite({paused: true});
				tl.set($elem, {opacity: 1});
				tl.set(speaker, {opacity:0});
				tl.set(phone, {opacity:0,yPercent:100})
				tl.set(text_l, {opacity:0,xPercent:-50})
				tl.set(text_r, {opacity:0,xPercent:50})

				tl.to(speaker, .5, {opacity:1}, '+=0.7');
				tl.to(speaker, 1, {scale:0.7, transformOrigin:'center bottom'});

				tl.to(phone, 1, {opacity:1, yPercent:0}, '-=1');
				tl.to(text_l, 1, {opacity:1, xPercent:0}, '-=1');
				tl.to(text_r, 1, {opacity:1, xPercent:0}, '-=1');

				tl.addPause('s0', function() {

				});

				tl.to(phone, .5, {opacity:0, yOffset:100});
				tl.to(text_l, .5, {opacity:0, xPercent:-50}, '-=0.5');
				tl.to(text_r, .5, {opacity:0, xPercent:50}, '-=0.5');
				tl.to(speaker, .5, {opacity:0});

				tl.addPause('done', function() {
					Ctrl.moveDown();
				});

				function play() {
					tl.play();
				}

				$scope.$on('vtmFullpageSection:entering', function(e) {
					lock = true;
					tl.seek(0);
					tl.play();
				});

				$scope.$on('vtmFullpageSection:leaving', function(e) {
					lock = false;
				});

				$scope.$on('vtmFullpage:moveSectionDown', function(e) {
					if (lock) {
						play();
						e.preventDefault();
					}
				});
			}
		};
	})
	.directive('e3360btSection6', function() {
		return {
			restrict: 'A',
			require: 'vtmFullpageSection',
			link: function($scope, $elem, $attrs, Ctrl) {
				var lock = false,

					s1 = $elem.find('.s-1'),
					s2 = $elem.find('.s-2'),
					s3 = $elem.find('.s-3'),
					text = $elem.find('.text');

				var tl = new TimelineLite({paused: true});
				tl.set($elem, {opacity:1});
				tl.set(s1, { opacity: 0});
				tl.set(s2, { opacity: 0});
				tl.set(s3, { right: '25%', opacity: 0});
				tl.set(text, { opacity: 0});

				tl.to(s3, .7, {opacity:1}, '+=0.7');
				tl.to(s3, .7, {right: '-5%'}, '+=1');

				tl.to(s2, .7, {opacity:1});
				tl.to(text, .7, {opacity:1}, '-=0.5');

				tl.to(s1, .7, {opacity:1});

				tl.addPause('enter_end', function() {});

				tl.to($elem, .5, {opacity:0});


				tl.addPause('done', function() {
					Ctrl.moveDown();
				});

				function play() {
					tl.play();
				}

				$scope.$on('vtmFullpageSection:entering', function(e) {
					lock = true;
					tl.seek(0);
					tl.play();
				});

				$scope.$on('vtmFullpageSection:leaving', function(e) {
					lock = false;
				});

				$scope.$on('vtmFullpage:moveSectionDown', function(e) {
					if (lock) {
						play();
						e.preventDefault();
					}
				});
			}
		};
	});